<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.customer.StorleadCalendarMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.sales.pojo.entity.customer.StorleadCalendarEntity">
                    <id column="date" property="date" />
                    <result column="date_std" property="dateStd" />
                    <result column="date_cn" property="dateCn" />
                    <result column="holiday" property="holiday" />
                    <result column="holiday_cn" property="holidayCn" />
                    <result column="holiday_legal" property="holidayLegal" />
                    <result column="holiday_legal_cn" property="holidayLegalCn" />
                    <result column="holiday_or" property="holidayOr" />
                    <result column="holiday_or_cn" property="holidayOrCn" />
                    <result column="holiday_overtime" property="holidayOvertime" />
                    <result column="holiday_overtime_cn" property="holidayOvertimeCn" />
                    <result column="holiday_recess" property="holidayRecess" />
                    <result column="holiday_recess_cn" property="holidayRecessCn" />
                    <result column="holiday_today" property="holidayToday" />
                    <result column="holiday_today_cn" property="holidayTodayCn" />
                    <result column="lunar_date" property="lunarDate" />
                    <result column="lunar_date_cn" property="lunarDateCn" />
                    <result column="lunar_month" property="lunarMonth" />
                    <result column="lunar_month_cn" property="lunarMonthCn" />
                    <result column="lunar_year" property="lunarYear" />
                    <result column="lunar_year_cn" property="lunarYearCn" />
                    <result column="lunar_yearday" property="lunarYearday" />
                    <result column="lunar_yearday_cn" property="lunarYeardayCn" />
                    <result column="month" property="month" />
                    <result column="month_cn" property="monthCn" />
                    <result column="week" property="week" />
                    <result column="week_cn" property="weekCn" />
                    <result column="weekend" property="weekend" />
                    <result column="weekend_cn" property="weekendCn" />
                    <result column="workday" property="workday" />
                    <result column="workday_cn" property="workdayCn" />
                    <result column="year" property="year" />
                    <result column="year_cn" property="yearCn" />
                    <result column="yearday" property="yearday" />
                    <result column="yearday_cn" property="yeardayCn" />
                    <result column="yearweek" property="yearweek" />
                    <result column="yearweek_cn" property="yearweekCn" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
            date, date_std, date_cn, holiday, holiday_cn, holiday_legal, holiday_legal_cn, holiday_or, holiday_or_cn, holiday_overtime, holiday_overtime_cn, holiday_recess, holiday_recess_cn, holiday_today, holiday_today_cn, lunar_date, lunar_date_cn, lunar_month, lunar_month_cn, lunar_year, lunar_year_cn, lunar_yearday, lunar_yearday_cn, month, month_cn, week, week_cn, weekend, weekend_cn, workday, workday_cn, year, year_cn, yearday, yearday_cn, yearweek, yearweek_cn
        </sql>

</mapper>
